using System;
using System.Data;
using DataLayer;

namespace DataLayer
{
    partial class NorthwindDS
    {
        partial class SuppliersRow
        {
            /// <summary>
            /// Gets all products for the current supplier
            /// </summary>
            /// <returns></returns>
            /// <remarks></remarks>
            public NorthwindDS.ProductsDataTable GetProducts()
            {
                NorthwindDSTableAdapters.ProductsTableAdapter adapter = new NorthwindDSTableAdapters.ProductsTableAdapter();
                return adapter.GetDataBySupplierId(this.SupplierID);
            }
        }
    }
}

namespace DataLayer.NorthwindDSTableAdapters
{
    partial class ProductsTableAdapter
    {
        /// <summary>
        /// Gets the products but allows sorting and paging
        /// </summary>
        /// <param name="sortColumns"></param>
        /// <param name="startIndex"></param>
        /// <param name="maxRows"></param>
        /// <returns></returns>
        /// <remarks></remarks>
        public NorthwindDS.ProductsDataTable GetProducts(string sortColumns, int startIndex, int maxRows)
        {
            Adapter.SelectCommand = CommandCollection[0];

            if (!String.IsNullOrEmpty(sortColumns))
                Adapter.SelectCommand.CommandText += " ORDER BY " + sortColumns;


            NorthwindDS ds = new NorthwindDS();
            Adapter.Fill(startIndex, maxRows, new DataTable[] { ds.Products });
            return ds.Products;
        }
    }
}